Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.events
Class PropertyExceptionFactory

    java.lang.Object
      org.apache.fop.events.PropertyExceptionFactory

All Implemented Interfaces:
  EventExceptionManager.ExceptionFactory

    public class PropertyExceptionFactory

extends java.lang.Object
implements EventExceptionManager.ExceptionFactory

Exception factory for `PropertyException`.

Constructor Summary
`PropertyExceptionFactory()`

Method Summary
`java.lang.Throwable` | `createException(Event event)` Creates an exception from an event.
`java.lang.Class<PropertyException>` | `getExceptionClass()` Returns the `Exception` class created by this factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyExceptionFactory

    public PropertyExceptionFactory()

Method Detail

### createException

    public java.lang.Throwable createException(Event event)

  Creates an exception from an event.

  Specified by:
    `createException` in interface `EventExceptionManager.ExceptionFactory`
  Parameters:
    `event` - the event
  Returns:
    the newly created exception

### getExceptionClass

    public java.lang.Class<PropertyException> getExceptionClass()

  Returns the `Exception` class created by this factory.

  Specified by:
    `getExceptionClass` in interface `EventExceptionManager.ExceptionFactory`
  Returns:
    the exception class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.